Overview | Package | Class | Use | Deprecated | Help
| GWT 2.7.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.gwt.user.client.ui
Class ImageResourceRenderer

    java.lang.Object
      com.google.gwt.text.shared.AbstractSafeHtmlRenderer<ImageResource>
          com.google.gwt.user.client.ui.ImageResourceRenderer

All Implemented Interfaces:
  SafeHtmlRenderer<ImageResource>

    public class ImageResourceRenderer

extends AbstractSafeHtmlRenderer<ImageResource>

Given an `ImageResource`, renders an element to show it.

Nested Class Summary
`(package private) static interface` | `ImageResourceRenderer.Template`

Constructor Summary
`ImageResourceRenderer()`

Method Summary
`SafeHtml` | `render(ImageResource image)` Renders `object` as safe HTML.

Methods inherited from class com.google.gwt.text.shared.AbstractSafeHtmlRenderer
`render, toSafeHtml`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ImageResourceRenderer

    public ImageResourceRenderer()

Method Detail

### render

    public SafeHtml render(ImageResource image)

  Description copied from interface: `SafeHtmlRenderer`
  Renders `object` as safe HTML.

Overview | Package | Class | Use | Deprecated | Help
| GWT 2.7.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD